HOST=wisc
DEPLOY=/u/j/u/justhsu/public/html-s/teaching/current/cs763
# ARCHIVE=/u/j/u/justhsu/public/html-s/teaching/f19/cs763

build:
	make assets && mkdocs build

preview:
	make assets && mkdocs serve

assets:
	(cd docs/resources/slides; make)

install:
	pip install mkdocs mkdocs-material pymdown-extensions

deploy:
	make build
	find . -type d -exec chmod a+rx {} \;
	find . -type f -exec chmod a+r {} \;
	rsync -avzp --delete -e ssh ./site/ $(HOST):$(DEPLOY)

archive:
	make build
	find . -type d -exec chmod a+rx {} \;
	find . -type f -exec chmod a+r {} \;
	ssh $(HOST) mkdir -p $(ARCHIVE)
	rsync -avzp --delete -e ssh ./site/ $(HOST):$(ARCHIVE)
